Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing
Class EndpointReferenceType

    java.lang.Object
      org.apache.cxf.ws.addressing.EndpointReferenceType

    public class EndpointReferenceType

extends java.lang.Object

Java class for EndpointReferenceType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EndpointReferenceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Address" type="{http://www.w3.org/2005/08/addressing}AttributedURIType"/>
             <element name="ReferenceParameters" type="{http://www.w3.org/2005/08/addressing}ReferenceParametersType" minOccurs="0"/>
             <element ref="{http://www.w3.org/2005/08/addressing}Metadata" minOccurs="0"/>
             <any/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected AttributedURIType` | `address`
`protected java.util.List<java.lang.Object>` | `any`
`protected MetadataType` | `metadata`
`protected ReferenceParametersType` | `referenceParameters`

Constructor Summary
`EndpointReferenceType()`

Method Summary
`AttributedURIType` | `getAddress()` Gets the value of the address property.
`java.util.List<java.lang.Object>` | `getAny()` Gets the value of the any property.
`MetadataType` | `getMetadata()` Gets the value of the metadata property.
`java.util.Map<javax.xml.namespace.QName,java.lang.String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`ReferenceParametersType` | `getReferenceParameters()` Gets the value of the referenceParameters property.
`void` | `setAddress(AttributedURIType value)` Sets the value of the address property.
`void` | `setMetadata(MetadataType value)` Sets the value of the metadata property.
`void` | `setReferenceParameters(ReferenceParametersType value)` Sets the value of the referenceParameters property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### address

    protected AttributedURIType address

### referenceParameters

    protected ReferenceParametersType referenceParameters

### metadata

    protected MetadataType metadata

### any

    protected java.util.List<java.lang.Object> any

Constructor Detail

### EndpointReferenceType

    public EndpointReferenceType()

Method Detail

### getAddress

    public AttributedURIType getAddress()

  Gets the value of the address property.

  Returns:
    possible object is `AttributedURIType`

### setAddress

    public void setAddress(AttributedURIType value)

  Sets the value of the address property.

  Parameters:
    `value` - allowed object is `AttributedURIType`

### getReferenceParameters

    public ReferenceParametersType getReferenceParameters()

  Gets the value of the referenceParameters property.

  Returns:
    possible object is `ReferenceParametersType`

### setReferenceParameters

    public void setReferenceParameters(ReferenceParametersType value)

  Sets the value of the referenceParameters property.

  Parameters:
    `value` - allowed object is `ReferenceParametersType`

### getMetadata

    public MetadataType getMetadata()

  Gets the value of the metadata property.

  Returns:
    possible object is `MetadataType`

### setMetadata

    public void setMetadata(MetadataType value)

  Sets the value of the metadata property.

  Parameters:
    `value` - allowed object is `MetadataType`

### getAny

    public java.util.List<java.lang.Object> getAny()

  Gets the value of the any property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

  For example, to add a new item, do as follows:

          getAny().add(newItem);

  Objects of the following type(s) are allowed in the list `Element` `Object`

### getOtherAttributes

    public java.util.Map<javax.xml.namespace.QName,java.lang.String> getOtherAttributes()

  Gets a map that contains attributes that aren't bound to any typed property on this class.

  the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

  Returns:
    always non-null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF